[RISOLTO] Fba v0.2.97.44 - dubbi chiarimenti MAME Set Rebuilder

Qui si parla di FinalBurn Alpha
Bloccato
dlucca
Messaggi: 1
Iscritto il: mer lug 03, 2019 8:34 am
Ha ringraziato: 0
È stato ringraziato: 0

[RISOLTO] Fba v0.2.97.44 - dubbi chiarimenti MAME Set Rebuilder

Messaggio da dlucca » mar lug 09, 2019 9:22 pm

Buonasera , mi chiamo Daniele e sono nuovo del forum, da qualche anno a questa parte utilizzo retropie su un Rpi 3 mod b+ ( da buon nostalgico anni 80' dei cabinati da bar/oratorio !! ).
Come da titolo ho qualche dubbio/perplessità sul nuovo update di retropie 4.5 e al cambiamento del romset FBA alla versione .44.
Premetto che conosco discretamente retropie , e bene o male non ho mai avuto particolari problemi di settaggi ( merito delle guide ).
Possiedo un romset FBA non merged v0.2.97.39 ( funzionante nella sua completezza ), che di volta in volta ho sempre 'rebuildato ' fino all'attuale .43 con clrmamepro ( e tutt'ora è funzionante alla grande ).
Da qualche giorno ho scoperto su questo forum ' MAME Set Rebuilder ' ( molto utile per chi come me utilizza linux ) che ,mi ha permesso di smettere definitivamente di dover passare da Wine .
Vengo ai dubbi :
Utilizzando MAME Set Rebuilder e il .DAT .44 file presente nei repo di github ho problemi con il rebuilding ( i vari metalslug&Co non vengono più generati ).
Le impostazioni di questo programma sono davvero semplici, e credo di non fare qualche errorino ( salvo sviste clamorose ).
E' possibile che il .DAT file sia errato?? dato che fino alla .43 funziona tutto ??
Premetto che per ragioni di tempo non ho ancora provato a fare il rebuilding con clrmamepro , quindi non so se potrei avere problemi ( spero di riuscire a trovare tempo questo week-end ).
Qualcuno ha avuto dei problemi di incompatibilità con il nuovo update 4.5 e lr-fbneo ??
Mi scuso in anticipo se ho postato nella sezione sbagliata .
Cordiali saluti.

hermit
Messaggi: 238
Iscritto il: ven dic 16, 2016 4:05 pm
Ha ringraziato: 1 volta
È stato ringraziato: 1 volta

Re: Fba v0.2.97.44 - dubbi chiarimenti MAME Set Rebuilder

Messaggio da hermit » mer lug 10, 2019 12:06 am

considera che fbaneo è ancora wip, quindi non so se quel file DAT è completo.
io sto aspettando una versione "definitiva" bloccata su un romset (tipo un fba2019)

Avatar utente
Guybrush
Site Admin
Messaggi: 1658
Iscritto il: gio feb 25, 2016 6:33 pm
Ha ringraziato: 8 volte
È stato ringraziato: 10 volte

Re: Fba v0.2.97.44 - dubbi chiarimenti MAME Set Rebuilder

Messaggio da Guybrush » mer lug 10, 2019 10:11 am

MAME Set Rebuilder crea il set basandosi esclusivamente sul file DAT e sulle roms che possiedi. Utilizza l'hash dei files per distinguerli quindi le possibilità sono 3:
  1. Il file DAT non contiene i vari Metal Slug (direi che è impossibile)
  2. L'hash indicato nel file DAT è errato (può capitare, anche se FBA dovrebbe usare i dati del file DAT del MAME)
  3. Tu non possiedi le roms corrispondenti a ciò che è indicato nel file DAT
Molto probabilmente il tuo problema ricade nella terza ipotesi. Infatti per fare un upgrade potrebbe essere necessario possedere le roms derivanti da nuovi dump, così come per un downgrade potrebbe essere necessario utilizzare i files di rollback. Leggi la Nota sul funzionamento del M.A.M.E. nel thread del programma per capire a fondo questo concetto (intrinseco del M.A.M.E.)
"Dobbiamo costruire computer per le masse, non per le classi" J. Tramiel
_____________________________________________________________
Aiutiamo il forum con una donazione :-)

Hardware:
Raspberry Pi v1 B+ (x2)
Raspberry Pi v3 B

Avatar utente
JohnTitor
Messaggi: 175
Iscritto il: mar dic 27, 2016 4:41 pm
Ha ringraziato: 5 volte
È stato ringraziato: 0

Re: Fba v0.2.97.44 - dubbi chiarimenti MAME Set Rebuilder

Messaggio da JohnTitor » mar set 10, 2019 10:04 am

Ancora una volta, con tristezza, devo constatare di un utente che si registra, fa una domanda, riceve risposta e scompare nel limbo per sempre.

Non è vero che non esistono più i forum di una volta, sono le persone di una volta a non esistere più, da ora in poi ogni thread che non riceve un feedback verrà chiuso
Provengo dal 2036...
Nel '75 ho recuperato un IBM 5100 per risolvere un problema del futuro, adesso sono qui perché nel 2038 sarà fondamentale avere più RPi possibile... non posso dirvi il motivo ma nel fratttempo una partita me la faccio! ;-)
_____________________________________________________________
Aiutiamo il forum con una donazione :-)

Hardware:
Raspberry Pi v3 B

Bloccato